<template>
	<view>
		<uni-forms class="customcss" label-width="120">
			<uni-forms-item label="内箱标签">
				<uni-easyinput type="text" @input="inputChange()" v-model="materialsns" placeholder="请扫描内箱标签"
					ref='midInput' :focus="istrue" />
			</uni-forms-item>
			<uni-forms-item label="产线编号">
				<uni-easyinput type="text" v-model="line" placeholder="请输入产线编号" ref='midInput' :focus="!istrue" />
			</uni-forms-item>

			<uni-forms-item>
				<button @click="submit" type="primary" size="default" style="margin-top: 2%;">叫料</button>
			</uni-forms-item>
		</uni-forms>
		<uni-list class="footer">
			<uni-list-item direction="column" v-if="innersn">
				<template v-slot:body>
					<view class="uni-list-box">
						<uni-icons type="trash" size="22" style="position: absolute;right: 5%;"
							@click="deleteList(innersn.matCode)">
						</uni-icons>
						<view class="uni-content">
							<view class="uni-title-sub uni-ellipsis-2">物料编码：{{innersn.matCode}}</view>
						</view>
					</view>
				</template>
			</uni-list-item>
		</uni-list>
		<u-toast ref="uToast" />
	</view>
</template>

<script>
	export default {
		data() {
			return {
				istrue: true,
				endPoint: '',
				materialsns: "",
				matCode: "",
				innersn: null,
				line: ""
			}
		},
		onLoad(res) {},
		methods: {
			submit() {
				if (this.line == "") {
					this.$refs.uToast.show({
						title: "请输入产线编号",
						type: "error"
					})
					return;
				}
				if (this.matCode == "") {
					this.$refs.uToast.show({
						title: "请输入物料编号",
						type: "error"
					})
					return;
				}
				var temp = this.line.split('-');
				this.$u.post('/api/Carry/CallMaterial', {
					MainData: {
						"endPoint": "A-" + temp[0] + "-TEMP-" + temp[1] + "-01：01-01",
						"matCode": this.matCode,
						"system": "ZB"
					}
				}).then(resdt => {
					if (resdt.status) {
						uni.$showMsg('叫料成功!')
						this.innersn = null;
						this.matCode = "";
						this.materialsns = "";
						this.endPoint = "";
					} else {
						this.$refs.uToast.show({
							title: resdt.message,
							type: "error"
						})
					}
				})
			},
			inputChange(e) {
				this.innersn = null;

				this.$nextTick(() => {
					if (this.materialsns.length < 14) {
						return;
					}

					var matInfo = this.materialsns.split('|');
					if (matInfo.length > 6) {
						this.matCode = "";
						var matObj = {
							matCode: matInfo[1],
						}
						this.matCode = matInfo[1];
						this.innersn = matObj;
					} else {
						var matObj = {
							matCode: this.materialsns
						}
						this.innersn = matObj;
						this.matCode = this.materialsns;
					}
					setTimeout(() => {
						this.materialsns = "";
					}, 100);
				})
			},
			inputChangebarcode() {
				this.istrue = false;
				this.$nextTick(function(x) {
					if (this.barcode != '') {
						this.istrue = true;
					}
				})
			}
		}
	}
</script>

<style lang="scss">
	@import '@/common/uni-ui.scss';

	page {
		display: flex;
		flex-direction: column;
		box-sizing: border-box;
		background-color: #efeff4;
		min-height: 100%;
		height: auto;
	}

	.tips {
		color: #67c23a;
		font-size: 14px;
		line-height: 40px;
		text-align: center;
		background-color: #f0f9eb;
		height: 0;
		opacity: 0;
		transform: translateY(-100%);
		transition: all 0.3s;
	}

	.tips-ani {
		transform: translateY(0);
		height: 40px;
		opacity: 1;
	}

	.content {
		width: 100%;
		display: flex;
	}

	.list-picture {
		width: 100%;
		height: 145px;
	}

	.thumb-image {
		width: 100%;
		height: 100%;
	}

	.ellipsis {
		display: flex;
		overflow: hidden;
	}

	.uni-ellipsis-1 {
		overflow: hidden;
		white-space: nowrap;
		text-overflow: ellipsis;
	}

	.uni-ellipsis-2 {
		overflow: hidden;
		text-overflow: ellipsis;
		display: -webkit-box;
		-webkit-line-clamp: 2;
		-webkit-box-orient: vertical;
	}

	.customcss {
		width: 100%;
		background-color: #fff;
		padding: 20rpx 40rpx;
	}

	.footer {
		// padding-top: 50%;
	}
</style>